Skip to main content
PUT
Publish binary companion

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Headers

x-vf-content-sha256
string
required

SHA-256 of exact raw bytes, lowercase hexadecimal.

Pattern: ^[a-f0-9]{64}$
x-vf-content-type
string

Retained asset MIME type; defaults to application/octet-stream. The wire MIME remains application/octet-stream.

Required string length: 1 - 200
Pattern: ^[\x20-\x7e]+$
x-vf-expected-version-id
string<uuid>

Current selected immutable file version. Mutually exclusive with expected-absent.

x-vf-expected-absent
enum<string>

Require no selected file. Mutually exclusive with expected-version-id.

Available options:
true

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

asset_path
string
required

Query Parameters

branch_id
required

Body

application/octet-stream

The body is of type file.

Response

Verified immutable binary companion version.

file_id
string<uuid>
required
file_version_id
string<uuid>
required
path
string
required
content_hash
string
required
Pattern: ^[a-f0-9]{64}$
byte_size
integer
required
Required range: 0 <= x <= 8388608
content_type
string
required
Required string length: 1 - 200
Pattern: ^[\x20-\x7e]+$